Mengatasi Error /libraries/plugin_interface.lib.php#532 PHPMyadmin di Server GNU/Linux


Assalamualaikum Wr.Wb...
dengan diberikan nikmat dan rezeki dari Allah SWT, saya Mr.GagalTotal666 akan
berbagi kepada anda yaitu tentang cara mengatasi Error
/libraries/plugin_interface.lib.php#532 PHPMyadmin di Server GNU/Linux.

pada saat saya ingin mengimport database di PHPMyadmin dengan webserver
Apache di GNU/Linux ada kendala atau muncul nya pesan error seperti ini
Warning in ./libraries/plugin_interface.lib.php#532
count(): Parameter must be an array or an object that implements Countable

bagaimana cara mengatasi nya ?, mudah kok dan tidak susah
oke ikuti langkah berikut

langsung saja buka terminal/console anda
kemudian buka file plugin_interface dengan akses root
pada directory /usr/share/phpmyadmin/libraries/
terserah anda mau menggunakan text editor nya
$ sudo nano /usr/share/phpmyadmin/libraries/plugin_interface.lib.php
$ sudo vim /usr/share/phpmyadmin/libraries/plugin_interface.lib.php
$ sudo leafpad /usr/share/phpmyadmin/libraries/plugin_interface.lib.php
cari di bagian line 532, karena sudah jelas error yang di kasih tahu nya
berada di line 532, contoh script pada line 532
if ($options != null && count($options) > 0) {
saya pikir dalam versi php baru 7.0 sampai 7.3. Itu tidak dapat
menggunakan count () atau sizeof () dengan tipe array. Memaksa parameter
ke array adalah cara mudah untuk menyelesaikan bug di PHPMyadmin
if ($options != null && count((array)$options) > 0) {

restart webserver
$ systemctl restart apache2
$ systemctl restart nginx
cek browser dan buka PHPMyadmin kembali dan import database done tidak error


oke mungkin itu saja yang bisa saya berbagi kepada anda
kalau ada kesalahan dan kekurangan nya mohon berikan masukan nya ya

sekian dan semoga bermanfaat....

Wasalamualaikum Wr.Wb...
Previous
Next Post »